## AgsLv2uiPlugin

AgsLv2uiPlugin — The lv2ui plugin class

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2UI_PLUGIN_DESCRIPTOR()
gboolean | ags_lv2ui_plugin_test_flags ()
void | ags_lv2ui_plugin_set_flags ()
void | ags_lv2ui_plugin_unset_flags ()
GList * | ags_lv2ui_plugin_find_gui_uri ()
AgsLv2uiPlugin * | ags_lv2ui_plugin_new ()

## Properties

AgsTurtle * | gui-turtle | Read / Write
char * | gui-uri | Read / Write
AgsLv2Plugin * | lv2-plugin | Read / Write
AgsTurtle * | manifest | Read / Write

## Types and Values

enum | AgsLv2uiPluginFlags

## Object Hierarchy

        GFlags
        ╰── AgsLv2uiPluginFlags
        GObject
        ╰── AgsBasePlugin
            ╰── AgsLv2uiPlugin

## Includes

    #include <ags/plugin/ags_lv2ui_plugin.h>

## Description

The AgsLv2uiPlugin loads/unloads a Lv2ui plugin.

## Functions

### AGS_LV2UI_PLUGIN_DESCRIPTOR()

    #define AGS_LV2UI_PLUGIN_DESCRIPTOR(ptr) ((LV2UI_Descriptor *)(ptr))

### ags_lv2ui_plugin_test_flags ()

    gboolean
    ags_lv2ui_plugin_test_flags (AgsLv2uiPlugin *lv2ui_plugin,
                                 AgsLv2uiPluginFlags flags);

Test `flags` to be set on `recall` .

#### Parameters

lv2ui_plugin | the AgsLv2uiPlugin |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_lv2ui_plugin_set_flags ()

    void
    ags_lv2ui_plugin_set_flags (AgsLv2uiPlugin *lv2ui_plugin,
                                AgsLv2uiPluginFlags flags);

Set flags.

#### Parameters

lv2ui_plugin | the AgsLv2uiPlugin |
flags | the flags |

Since: 3.0.0

### ags_lv2ui_plugin_unset_flags ()

    void
    ags_lv2ui_plugin_unset_flags (AgsLv2uiPlugin *lv2ui_plugin,
                                  AgsLv2uiPluginFlags flags);

Unset flags.

#### Parameters

lv2ui_plugin | the AgsLv2uiPlugin |
flags | the flags |

Since: 3.0.0

### ags_lv2ui_plugin_find_gui_uri ()

    GList *
    ags_lv2ui_plugin_find_gui_uri (GList *lv2ui_plugin,
                                   gchar *gui_uri);

Find next matching gui-uri in `lv2ui_plugin` .

#### Parameters

lv2ui_plugin | the GList containing AgsLv2uiPlugin. | [element-type AgsAudio.Lv2uiPlugin][transfer none]
gui_uri | the gui-uri as string |

#### Returns

the next matching GList.

[element-type AgsAudio.Lv2uiPlugin][transfer none]

Since: 3.0.0

### ags_lv2ui_plugin_new ()

    AgsLv2uiPlugin *
    ags_lv2ui_plugin_new (AgsTurtle *gui_turtle,
                          gchar *filename,
                          gchar *effect,
                          gchar *gui_uri,
                          guint effect_index);

Creates an AgsLv2uiPlugin

#### Parameters

gui_turtle | the AgsTurtle |
filename | the plugin .so |
effect | the effect's string representation |
gui_uri | the effect's gui_uri |
effect_index | the effect's index |

#### Returns

a new AgsLv2uiPlugin

Since: 3.0.0

## Types and Values

### enum AgsLv2uiPluginFlags

Enum values to control the behavior or indicate internal state of AgsLv2uiPlugin by enable/disable as flags.

#### Members

AGS_LV2UI_PLUGIN_IS_SYNTHESIZER | is synthesizer |
AGS_LV2UI_PLUGIN_GTK2 | has Gtk+-2.0 UI |
AGS_LV2UI_PLUGIN_GTK3 | has Gtk3 UI |
AGS_LV2UI_PLUGIN_QT4 | has Qt4 UI |
AGS_LV2UI_PLUGIN_QT5 | has Qt5 UI |

## Property Details

### The `“gui-turtle”` property

      “gui-turtle”               AgsTurtle *

The assigned GUI turtle.

Owner: AgsLv2uiPlugin

Flags: Read / Write

Since: 3.0.0

### The `“gui-uri”` property

      “gui-uri”                  char *

The assigned GUI URI.

Owner: AgsLv2uiPlugin

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“lv2-plugin”` property

      “lv2-plugin”               AgsLv2Plugin *

The assigned LV2 plugin.

Owner: AgsLv2uiPlugin

Flags: Read / Write

Since: 3.0.0

### The `“manifest”` property

      “manifest”                 AgsTurtle *

The assigned manifest.

Owner: AgsLv2uiPlugin

Flags: Read / Write

Since: 3.0.0